Search the Community
Showing results for tags 'selection'.
-
Selecting similar to what is visable on screen
3dwannab posted a topic in AutoLISP, Visual LISP & DCL
I have the Ctrl+Q set up to select similar. Quite handy when used with another shortcut I've set up Ctrl+H to hide that selection or any other command I wish to invoke after. This works great but I was hoping to know if it's possible for the same standard command of AutoCADs select similar can be done by LISP, only difference being that it only selects whats visible on the monitor. I think it's a long shot asking but worth asking :]. It would be handy for deleting similar stuff just on the screen without having to shift select (de-select) the other items selected. Thanks in advance.- 39 replies
-
- selecting_objects
- selecting items
-
(and 1 more)
Tagged with:
-
Could someone help point me in the right direction here? I want to filter a selection of polylines (contour lines) by their Z value (ie filter to get only 10' or 5' or 2' contours). I assume I need to test the Z value to see if it is a muliple of 10, 5 or 2, etc... Any hints on hhow to get this sarted? Thanks
- 30 replies
-
- contour z value
- filter
-
(and 3 more)
Tagged with:
-
Colleagues, best regards. Today I come to ask for help. I have developed a routine that splits a polygon based on the location of the origin of the blocks above it; However, the selection takes into account other blocks that overlap only slightly in the polygon, allowing me to run the routine anyway but with an undesired result. I can remove the blocks manually, but when there are too many it becomes very tedious and time-consuming. I want to know if there is a way to avoid these external blocks that alter the results of my routine. In the attached dwg I present 2 cases, in the one on the right the routine works without problems, however in the one on the left the complication occurs with the blocks external to the polygon but that still overlap a little. Another complication that arises is when the polygon presents an arc. Attached dwg and lisp file I am very grateful for the help and attention provided. ORIGENpl.lsp SEGMENTACION.dwg
-
Dear all, I'm looking for a simple lisp (probably vlisp) routine that can select all leaders of the same type (e.g dot). In other words, i only want to select the dot leaders of all my leaders in the drawing file. Should look something like this: (ssget "x" ("leader")) and ('leadertype 3) Thanks
-
Auto select previous objects after running a defun of another routine
3dwannab posted a topic in AutoLISP, Visual LISP & DCL
Hi, I was hoping to LOAD a lsp file then call it via (c:runthislispfile) inside another routine to combine them in one. Problem is, they prompt for a selection, so I thought this would work: (command "_P") (while (eq 1 (logand 1 (getvar 'CMDACTIVE))) (command "")) Is this possible? I'm pretty sure it is with the cmdactive trick. See code below and comments where the problem lies: (defun c:---BB (/) (progn (LOAD "3dwannab_ByBlock_Change_Entities") (C:BB))) ; Change all selected entities to ByBlock and layer 0 & more. (defun c:BB ( / ss_1 ) (setq *error* SS:error) (SS:startundo) (setq cmde (getvar "cmdecho")) (setq os (getvar "osmode")) (setq orthom (getvar "orthomode")) (setvar 'cmdecho 0) (setvar 'osmode 83) (setvar 'orthomode 1) (progn (setq ss_1 (last (ssgetfirst))) (if (not ss_1) (setq ss_1 (ssget '((0 . "~HATCH")))) ) (if ss_1 (progn (command "._chprop" "_non" ss_1 "" "_LA" "0" "") (command "._chprop" "_non" ss_1 "" "_LT" "BYBLOCK" "") (command "._chprop" "_non" ss_1 "" "_LTS" "1" "") (command "._chprop" "_non" ss_1 "" "_LW" "BYBLOCK" "") (command "._chprop" "_non" ss_1 "" "_TR" "BYBLOCK" "") (command "._chprop" "_non" ss_1 "" "_C" "BYBLOCK" "") ;; How do I run the command for this lisp then select previous and run it automatically. ;; Below doesn't work. ;; This routine is for rounding off entities to the nearest 0.5mm. (prompt "\nRUN the F5 command also to round off to 0.5mm ?\n") (load "FX_Round_Numbers_0Point5") (progn (c:F5) (command "_P") (while (eq 1 (logand 1 (getvar 'CMDACTIVE))) (command "")) ) ;; How do I run the command for this lisp then select previous and run it automatically. ;; Below doesn't work. ;; This is the PSIMPLE command to fix polylines. Again it prompts for a selection here. (prompt "\nRUN the PSIMPLE command also ?\n") (load "PSimple") (progn (c:PSIMPLEV) (command "_P") (while (eq 1 (logand 1 (getvar 'CMDACTIVE))) (command "")) ) (setq ss_1 nil) ) (princ "\nUser Cancelled Command\n") ) ) (*error* nil) (princ) ) (defun SS:error (errmsg) (and acDoc (vla-EndUndoMark acDoc)) (and errmsg (not (wcmatch (strcase errmsg) "*CANCEL*,*EXIT*")) (princ (strcat "\n<< Error: " errmsg " >>\n")) ) (setvar 'cmdecho cmde) (setvar 'osmode os) (setvar 'orthomode orthom) ) (defun SS:startundo () (setq acDoc (vla-get-ActiveDocument (vlax-get-acad-object))) (or (vla-EndUndoMark acDoc) (vla-StartUndoMark acDoc)) ) (vl-load-com) (princ (strcat "\n3dwannab_ByBlock_Change_Entities.lsp Loaded\n" "\nInvoke by typing 'BB'\n" ) ) (princ) ;;----------------------------------------------------------------------;; ;; End of File ;; ;;----------------------------------------------------------------------;; -
(setq axd (vla-AddDimAligned spc d1 d2 ex)) (vla-Copy axd) (vl-cmdf "_.explode" "_l" "") ;could not find an ActiveX equivalent for this (setq del (ssget "_p")) ;errors here, does not set the variable and exits routine Can someone shed some light? What is the deal with the above? I am able to type the last expression at the command line after error and it sets the variable fine, so it seems to recognize the previous entities after lisp exits but not during for some reason. Also, is there a way to explode dims other than the command method? Thanks in advance!
-
LISP Idea: one-click all changing annotation scales
ryankevin15 posted a topic in AutoLISP, Visual LISP & DCL
....... -
Hello, Q1: How do I get the number of entities in a selection using VBA? Q2: What is the command/method to find the type of each entity in a selection using VBA? Thank you
-
Hi I've been using Autocad 2002 for a long time and I'd like to find a solution for a problem I couldn't find. I like to see the full list of drawings in a folder instead of small icons. To do that I right click on the areas where the files are displayed and select "show list" or "show details". The problem is that whenever I chance the folder or select a file to open and go back to open another file Autocad is already showing me again the "small icons". So my selection is not permanent. I know that in Autocad 2000 if I did that selection of "show as" whatever and selected it, when I went back to open another file, that selection was still standing (ex.: I selected "show details" so it allways showed me "details" until I selected something else). Can anyone help me with this? Does it happen to anyone else?
- 8 replies
-
- selection
- autocad 2002
-
(and 1 more)
Tagged with:
-
How can I filter a selection of hatch by gradient name using ssget fonction? The exeample bellow works well for standard hatch name... it does not work for gardient WORK: (setq ss (ssget "_X" (list '(0 . "HATCH")'(2 . "GRASS")))) DONT WORK: (setq ss (ssget "_X" (list '(0 . "HATCH")'(2 . "gradient")))) OR (setq ss (ssget "_X" (list '(0 . "HATCH")'(2 . "gr_spher")))) Could you help me?
-
Greetings, everyone ! May I introduce myself a bit : I'm Gauvain Boiché, I'm currently studying Video Games in Belgium. I am now in an internship in a small company. We usually use 3DS Max 2017 for modelling, but now I'm struggling on a problem, as I have to use AutoCAD 2018. And I am totally lost. To be honest, I'm not intended to use AutoCAD after that, so this is really a one-shot of despair It is for a very-very small problem. We have to sell some of my products for a bigger company, but they are asking it in DWG. And I have to convert my FBXes with Material IDs to DWG, with the good colors, to Revit. We found a "good" tutorial about it, here : Long story short : I don't speak Spanish ( or Portugese ) and the shower is not telling anything I can understand. Probably he is using a shortcut I can't translate. He lost me at 5:10 in the video. I managed to re-organize my workspace, which looks like this : http://i.imgur.com/IMhfktT.png Now, I'm really struggling, and I have basically no time to just learn about AutoCAD, and not even Revit then. So, my question is : - How did he select point on the object, bypassing in the process the unwanted ones ? And, to be shorter, if you know any way to just export an object from 3DS Max with material IDs and good color directly to Revit, I would be eternally grateful Thank you in advance for your time !
-
Hello, I am new to the forum. Can anyone of you help me? I am a beginner in lisp codes. My problem is that I need to do multiple selection to change color. I can only do it once Also that you can select the objects and then apply the command:glare:
-
Using Civil 3D 2016 and having Intermittent Problems with not being able to remove items from the selection set. Anyone else having this problem? Terry Nolan www.FloridaDraftingServices.com www.1stProto.com 1stProto Design Services
- 3 replies
-
- civil 3d
- cad drafting
-
(and 2 more)
Tagged with:
-
Objects selected during erase command appear grayed/subdued. I would prefer them to be dashed. I've already changed "selectioneffect" and "preselectioneffect" to "0." Selection of objects within "Move", and "Rotate" commands, as well as selection of objects when no command is active appear as dashed line, but for some reason these changes don't affect objects within erase command. Anyone know how to fix this?
-
Hi to everyone!... Someone knows a Lisp to plot a internal sheets of a model space file? Eg.: I have a dwg file with 10 sheets internal, I know how to put name at each sheet (NEWVIEW) and it appears at same place of Extend, Display or Window at plot configuration screen. If I put names as a numbers: 1, 2, 3,..., 10, it's possible to select one page or all to plot at the same time? Or create a Lisp that can help it!?... Thanks in advance!... Its possible using a comand: -plot Detailed plot configuration? [Yes/No] : y Enter a layout name or [?] : Enter an output device name or [?] : Canon iR2525 Enter paper size or [?] : Enter paper units [inches/Millimeters] : m Enter drawing orientation [Portrait/Landscape] : Plot upside down? [Yes/No] : Enter plot area [Display/Extents/Limits/View/Window] : v Enter view name : 3 (the view name) Enter plot scale (Plotted Millimeters=Drawing Units) or [Fit] : Enter plot offset (x,y) or : c Plot with plot styles? [Yes/No] : Enter plot style table name or [?] (enter . for none) : Plot with lineweights? [Yes/No] : Enter shade plot setting [As displayed/legacy Wireframe/legacy Hidden/Visual styles/Rendered] : Write the plot to a file [Yes/No] : Save changes to page setup [Yes/No]? Proceed with plot [Yes/No] :
-
Select the attribute that will be written at the moment of insert the block.
CafeJr posted a topic in AutoLISP, Visual LISP & DCL
Hi to all, Someone knows a LISP router that can write a selected text on a specific field attribute when you are inserting the block. Eg.: One Block with a field "Diameter", when I'll insert this block I can choose on a window and select what will be that diameter (1/2", 3/4", 1", 1.1/2"), but I have more than one Attribute field to insert (selecting the specific text entry), diameter, length, color... each one with a filed to choose the detail on a list. It looks like a block with a lot of blank attributes that when insert it, for each attribute you need to select on a window that specific detail. -
Canceling Object Selection / AutoCAD Processing
daczac posted a topic in AutoCAD 2D Drafting, Object Properties & Interface
I am working on a drawing with very large polygons with hundreds of verticies. When one of these polygons are selected, either purposely or by accident, it takes a considerable amount of time for the selection process to run its course. I have tried to turn off properties but that didn't help. Ultimately it would be ideal if you could escape out of this selection process if you decided you did not want to wait. Unfortunately the escape key works only after the selection process ends and the verticies are visible. AutoCAD is locked up until the selection process ends. Is there another way to cancel or escape while AutoCAD is processing a selection such as this?- 4 replies
-
- processing
- object
-
(and 3 more)
Tagged with:
-
I had my AutoCAD set up so when I had multiple polylines on top of one another, I could just click the line and a small ("quickoption" maybe?) window popped up displaying the different layers that each line was on and I could select the line I was wanting to edit. Well, this disappeared (maybe I hit an "F" key) and now I can only select the line that is on the top or select all of them (sometimes I'll have 3-4 lines on top of one another and have them on different layers). Does anyone know how I can bring this setting back? I hope this is clear...as its challenging to type this issue in a search (as far as wording goes).
-
Select either Doted line or full line of the same Layer in AUTOCAD?
tipu_sultane posted a topic in AutoCAD Beginners' Area
I got the CAD file and want to find the length of the line of specific layer. The image attached contain the red line one dotted and other straight and full. The dotted represent the existing and full & straight represent the new & Proposed. By using the select similar I got the both line selected because both have of same layer (I think). Is it possible to use any command in autoCAD which select only doted line or full line at a time. (because In file there are about 20 groups of these line).- 2 replies
-
- layer properties
- layer
-
(and 1 more)
Tagged with:
-
How to select the similar object in AutoCAD 2010?
tipu_sultane posted a topic in AutoCAD Beginners' Area
I am using the AutoCAD2014 and here I select the similar object by selecting the object and then right click to pop-up menu then click on select similar. But in someone else computer having AutoCAD2010 perform the same task but not found the select similar. If any other method exist then please inform me anyway thanks.- 3 replies
-
- select similar
- object
-
(and 2 more)
Tagged with:
-
Is it possible to have a program or lisp that will change the color of an object as it is selected? Then maybe change the color back after whatever action is done? The types of dwgs we do can get somewhat busy and it can be very easy to miss something. Can anyone tell me if this is possible or not? Thanks, Nobull
-
how can i manipulate the selection by ssget function in cad interface
lyt8353381 posted a topic in AutoLISP, Visual LISP & DCL
maybe the title didn't interpret my problem i have a try to explain it explicitly. first i use ssget chose a selection but in lisp code i didn't write how to manipulate this selection . i just want through the order in cad interface to operate it . oh! just like the "qselect" order in cad . you chose something that they have the same property and you can operate it through the order in toolbar. my god i hope someone understand what i said thanks for your scan -
Highlight 2 overlapping blocks for visual verification
shailujp posted a topic in AutoLISP, Visual LISP & DCL
I have two different blocks overlapped on each other which have similar or same geometries. I want to verify the visual difference on both the blocks. I want to verify if the vendor block contains the same geometry as mine. Here is what I'm thinking and Need lisp for: I want to select the first block, deselect it, select the other one, deselect it and then this process should be looped till I can visaully find difference between blocks by select/highlight method without grips. If possible to add timer between selection & deselection process would make things easier and allow zoom and pan while still looping. Can anybody help me please? -
VBA Selction sets. Select a list of blocks that exist on a specific layer
callvey posted a topic in .NET, ObjectARX & VBA
Hi I have this code; Sub selectABlockOnALayer() Dim sset As AcadSelectionSet Set sset = ThisDrawing.SelectionSets.Add("EXCEPTIONS-BLOCK3") Dim filterType As Variant Dim filterData As Variant Dim p1(0 To 2) As Double Dim p2(0 To 2) As Double Dim grpCode(0 To 1) As Integer grpCode(0) = 8 grpCode(1) = 2 filterType = grpCode Dim grpValue(0 To 1) As Variant grpValue(0) = "FXPM" grpValue(1) = "4PLUG" filterData = grpValue sset.Select acSelectionSetAll, p1, p2, filterType, filterData Debug.Print "Entities: " & str(sset.count) sset.Delete End Sub I understand the code only selects 1 type of block on a layer but I cant even get that to work! I am trying to select 89 different types of block that exist on a specific layer. Is this something that can be done using VB? Any advice would be great. Thanks Tom- 2 replies
-
- specific layer
- selection
-
(and 3 more)
Tagged with:
-
How do I get 'copy' macro to end by selecting the newly copied item?
DS-precast posted a topic in The CUI, Hatches, Linetypes, Scripts & Macros
Hi, I'm a new poster currently trying to speed up the production of my pre-cast floor drawings. What I want to do is to select a dynamic block (already inserted into the drawing) and press a button to insert a copy of it, a set distance away from the original. I then want the newly created block to be selected, so that I can press the button again, or press another button (set to another distance) to produce another copy; and so on. I am struggling to get the new block to be selected at the end of the macro. I have tried using single selection, and Last; but the block does not stay selected. Can anybody out there help please? My current script is : ^C^Ccopy;D;@0,521 Thanks